Hi,

I want to report you the status of Ruby 1.9.0-5 release.

 * Encoding.default_internal will not be included in 1.9.0-5.
   It will be included in 1.9.1 PR1.
 * Some tests of RDoc seem to fail.
 * miniunit has little problems.

== Encoding.default_internal
Matz said it takes more time to decide its specification and implement
it at [ruby-dev:36600]. So I will release 1.9.0-5 before
default_internal will be implemented.

default_internal will effect many libraries. So this feature possibly
make us reschedule the release of 1.9.1. But Matz decided to import this
feature into 1.9.1.

I will, by 25 Oct, decide whether we need rescheduling. I want to
release 1.9.1 at 20 Dec, but it will possibly be at 25 Jan.

Perhaps, some of standard libraries need to be fixed for
default_internal. I want you to fix the libraries by 20 Oct.

Basically the standard libraries are already frozen. Do not modify them
except bug fixes or for default_internal. Other exceptions are, now
cgi.rb, rdoc, rubygems, rake, miniunit, adding encodings, and
internationalization related changes.

Are there any libraries which should not be frozen? OK?

== RDoc
Some tests of RDoc seem to fail. Perhaps, it need some fixes.

== miniunit
Ryan did a great job. I read miniunit and it was clean and had good
readability.

But miniunit has little problems.
 * Error messages should have more information. [ruby-core:18929].

 * Some of existing tests fail because of incompatibility.
[ruby-core:18928].

 * Where are tests for miniunit? It should be imported into
$(srcdir)/test/mini/*.

 * When will the gem version of test/unit be available?
   It means, when can we run programs based on the old test/unit by Ruby
1.9.0-5?

Regards,

-- 
Yugui (Yuki Sonoda) <yugui / yugui.jp>
http://yugui.jp